OpenJPH: ojph::raw_in Class Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::raw_in Class Reference

`#include <ojph_img_io.h>`

Inheritance diagram for ojph::raw_in:

## Public Member Functions
| raw_in ()
virtual | ~raw_in ()
void | open (const char *filename)
virtual ui32 | read (const line_buf *line, ui32 comp_num=0)
void | close ()
void | set_img_props (const size &s, ui32 bit_depth, bool is_signed)
ui32 | get_bit_depth ()
bool | get_is_signed ()
Public Member Functions inherited from ojph::image_in_base
virtual | ~image_in_base ()

## Private Attributes
FILE * | fh
const char * | fname
ui32 | width
ui32 | height
ui32 | bit_depth
ui32 | bytes_per_sample
bool | is_signed
ui32 | cur_line
void * | buffer
size_t | buffer_size

## Detailed Description

Definition at line 408 of file ojph_img_io.h.

## Constructor & Destructor Documentation

## ◆ raw_in()

ojph::raw_in::raw_in | ( |  | ) |
| inline

Definition at line 411 of file ojph_img_io.h.

References bit_depth, buffer, buffer_size, bytes_per_sample, cur_line, fh, fname, height, is_signed, and width.

## ◆ ~raw_in()

virtual ojph::raw_in::~raw_in | ( |  | ) |
| inlinevirtual

Definition at line 422 of file ojph_img_io.h.

References buffer, and close().

## Member Function Documentation

## ◆ close()

void ojph::raw_in::close | ( |  | ) |
| inlinevirtual

Reimplemented from ojph::image_in_base.

Definition at line 431 of file ojph_img_io.h.

References fh, and fname.

Referenced by read(), and ~raw_in().

## ◆ get_bit_depth()

ui32 ojph::raw_in::get_bit_depth | ( |  | ) |
| inline

Definition at line 435 of file ojph_img_io.h.

References bit_depth, and fh.

## ◆ get_is_signed()

bool ojph::raw_in::get_is_signed | ( |  | ) |
| inline

Definition at line 436 of file ojph_img_io.h.

References fh, and is_signed.

## ◆ open()

void ojph::raw_in::open | ( | const char * | filename | ) |

Definition at line 1495 of file ojph_img_io.cpp.

References bit_depth, buffer, buffer_size, bytes_per_sample, cur_line, fh, fname, OJPH_ERROR, and width.

Referenced by main().

## ◆ read()

ui32 ojph::raw_in::read | ( | const line_buf * | line,
|  | ui32 | comp_num = 0 )
| virtual

Implements ojph::image_in_base.

Definition at line 1510 of file ojph_img_io.cpp.

References buffer, bytes_per_sample, close(), fh, fname, ojph::line_buf::i32, is_signed, OJPH_ERROR, ojph_unused, and width.

## ◆ set_img_props()

void ojph::raw_in::set_img_props | ( | const size & | s,
|  | ui32 | bit_depth,
|  | bool | is_signed )

Definition at line 1591 of file ojph_img_io.cpp.

References bit_depth, fh, ojph::size::h, is_signed, and ojph::size::w.

Referenced by main().

## Member Data Documentation

## ◆ bit_depth

ui32 ojph::raw_in::bit_depth
| private

Definition at line 441 of file ojph_img_io.h.

Referenced by get_bit_depth(), open(), raw_in(), and set_img_props().

## ◆ buffer

void* ojph::raw_in::buffer
| private

Definition at line 445 of file ojph_img_io.h.

Referenced by open(), raw_in(), read(), and ~raw_in().

## ◆ buffer_size

size_t ojph::raw_in::buffer_size
| private

Definition at line 446 of file ojph_img_io.h.

Referenced by open(), and raw_in().

## ◆ bytes_per_sample

ui32 ojph::raw_in::bytes_per_sample
| private

Definition at line 442 of file ojph_img_io.h.

Referenced by open(), raw_in(), and read().

## ◆ cur_line

ui32 ojph::raw_in::cur_line
| private

Definition at line 444 of file ojph_img_io.h.

Referenced by open(), and raw_in().

## ◆ fh

FILE* ojph::raw_in::fh
| private

Definition at line 439 of file ojph_img_io.h.

Referenced by close(), get_bit_depth(), get_is_signed(), open(), raw_in(), read(), and set_img_props().

## ◆ fname

const char* ojph::raw_in::fname
| private

Definition at line 440 of file ojph_img_io.h.

Referenced by close(), open(), raw_in(), and read().

## ◆ height

ui32 ojph::raw_in::height
| private

Definition at line 441 of file ojph_img_io.h.

Referenced by raw_in().

## ◆ is_signed

bool ojph::raw_in::is_signed
| private

Definition at line 443 of file ojph_img_io.h.

Referenced by get_is_signed(), raw_in(), read(), and set_img_props().

## ◆ width

ui32 ojph::raw_in::width
| private

Definition at line 441 of file ojph_img_io.h.

Referenced by open(), raw_in(), and read().

The documentation for this class was generated from the following files:

- /build/openjph/src/OpenJPH/src/apps/common/ojph_img_io.h
- /build/openjph/src/OpenJPH/src/apps/others/ojph_img_io.cpp